#include "../../bootpack.h"

using namespace naskfunc;

CGdtr::CGdtr() {
	return;
}

void CGdtr::load(dword limit, dword base) {
	load_gdtr(limit, base);
	return;
}

CGdtr driver::gdtr;


CIdtr::CIdtr() {
	return;
}

void CIdtr::load(dword limit, dword base) {
	load_idtr(limit, base);
	return;
}


CIdtr driver::idtr;

